import random


class Player:
    __id:int
    __hp:int
    __name:str
    __handCards:list
    
    def __init__(self, name:str, hp:int=1000):
        self.__hp = hp
        self.__name = name
        self.__handCards = []
        self.__id = random.randint(3, 99999)

    def getName(self) -> str:
        return self.__name
    
    def getHP(self) -> int:
        return self.__hp
    
    def adjustHP(self, hp:int) -> int:
        self.__hp = self.__hp + hp

    def getID(self) -> int:
        return self.__id

    def getHand(self) -> list:
        return self.__handCards
    
    def AddToHand(self, card) -> list:
        self.__handCards.append(card)
        return self.__handCards

    def removeFromHand(self, pos:int) -> list:
        self.__handCards.remove(pos)
        return self.__handCards